# List sales invoices > 🚧 Beta feature > > This feature is currently in beta testing, and the final specification may still change. Retrieve a list of all sales invoices created through the API. The results are paginated. > 🔑 Access with > > [API key](/reference/authentication) > > [Organization access token with **sales-invoices.read**](/reference/authentication) > > [OAuth access with **sales-invoices.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Revenue Collection", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/sales-invoices": { "get": { "summary": "List sales invoices", "x-speakeasy-name-override": "list", "tags": [ "Sales Invoices API" ], "operationId": "list-sales-invoices", "security": [ { "apiKey": [] }, { "organizationAccessToken": [ "sales-invoices.read" ] }, { "oAuth": [ "sales-invoices.read" ] } ], "description": "> 🚧 Beta feature\n>\n> This feature is currently in beta testing, and the final specification may still change.\n\nRetrieve a list of all sales invoices created through the API.\n\nThe results are paginated.\n\n> 🔑 Access with\n>\n> [API key](/reference/authentication)\n>\n> [Organization access token with **sales-invoices.read**](/reference/authentication)\n>\n> [OAuth access with **sales-invoices.read**](/reference/authentication)", "parameters": [ { "schema": { "type": "string", "example": "invoice_4Y0eZitmBnQ6IDoMqZQKh" }, "name": "from", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "in": "query" }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "name": "testmode", "description": "Most API credentials are specifically created for either live mode or test mode. In those cases the `testmode` query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the `testmode` query parameter to `true`.\n\nTest entities cannot be retrieved when the endpoint is set to live mode, and vice versa.", "in": "query", "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "A list of sales invoice objects. For a complete reference of the sales invoice object, refer to the [Get sales invoice endpoint](get-sales-invoice) documentation.", "content": { "application/hal+json": { "schema": { "type": "object", "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "properties": { "sales_invoices": { "description": "An array of sales invoice objects. For a complete reference of the sales invoice object, refer to the [Get sales invoice endpoint](get-sales-invoice) documentation.", "type": "array", "items": { "allOf": [ { "type": "object", "properties": { "resource": { "type": "string", "description": "Indicates the response contains a sales invoice object. Will always contain the string `sales-invoice` for this endpoint.", "readOnly": true, "writeOnly": false, "default": "sales-invoice" }, "id": { "allOf": [ { "type": "string", "pattern": "^invoice_.+$", "example": "invoice_4Y0eZitmBnQ6IDoMqZQKh" } ], "type": "string", "description": "The identifier uniquely referring to this invoice. Example: `invoice_4Y0eZitmBnQ6IDoMqZQKh`.", "readOnly": true }, "mode": { "type": "string", "description": "Whether this entity was created in live mode or in test mode.\n\nPossible values: `live` `test`", "readOnly": true, "example": "live" }, "testmode": { "type": [ "boolean", "null" ], "description": "Whether to create the entity in test mode or live mode.\n\nMost API credentials are specifically created for either live mode or test mode, in which case this parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting `testmode` to `true`.", "writeOnly": true, "example": false }, "invoiceNumber": { "example": "INV-0000001", "type": [ "string", "null" ], "description": "When issued, an invoice number will be set for the sales invoice.", "readOnly": true }, "profileId": { "type": [ "string", "null" ], "description": "The identifier referring to the [profile](get-profile) this entity belongs to.\n\nMost API credentials are linked to a single profile. In these cases the `profileId` must not be sent in the creation request. For organization-level credentials such as OAuth access tokens however, the `profileId` parameter is required.", "example": "pfl_QkEhN94Ba" }, "status": { "type": "string", "description": "The status for the invoice to end up in.\n\nA `draft` invoice is not paid or not sent and can be updated after creation. Setting it to `issued` sends it to the recipient so they may then pay through our payment system. To skip our payment process, set this to `paid` to mark it as paid. It can then subsequently be sent as well, same as with `issued`.\n\nA status value that cannot be set but can be returned is `canceled`, for invoices which were issued, but then canceled. Currently this can only be done for invoices created in the dashboard.\n\nDependent parameters:\n - `paymentDetails` is required if invoice should be set directly to `paid`\n - `customerId` and `mandateId` are required if a recurring payment should be used to set the invoice to `paid`\n - `emailDetails` optional for `issued` and `paid` to send the invoice by email\n\nPossible values: `draft` `issued` `paid`", "example": "draft" }, "vatScheme": { "type": "string", "description": "The VAT scheme to create the invoice for. You must be enrolled with One Stop Shop enabled to use it.\n\nPossible values: `standard` `one-stop-shop` (default: `standard`)" }, "vatMode": { "type": "string", "description": "The VAT mode to use for VAT calculation. `exclusive` mode means we will apply the relevant VAT on top of the price. `inclusive` means the prices you are providing to us already contain the VAT you want to apply.\n\nPossible values: `exclusive` `inclusive` (default: `exclusive`)" }, "memo": { "example": "This is a memo!", "type": [ "string", "null" ], "description": "A free-form memo you can set on the invoice, and will be shown on the invoice PDF." }, "metadata": { "type": [ "object", "null" ], "properties": {}, "description": "Provide any data you like as a JSON object. We will save the data alongside the entity. Whenever you fetch the entity with our API, we will also include the metadata. You can use up to approximately 1kB." }, "paymentTerm": { "type": [ "string", "null" ], "description": "The payment term to be set on the invoice.\n\nPossible values: `7 days` `14 days` `30 days` `45 days` `60 days` `90 days` `120 days` (default: `30 days`)" }, "paymentDetails": { "description": "Used when setting an invoice to status of `paid`, and will store a payment that fully pays the invoice with the provided details. Required for `paid` status." }, "emailDetails": { "description": "Used when setting an invoice to status of either `issued` or `paid`. Will be used to issue the invoice to the recipient with the provided `subject` and `body`. Required for `issued` status.", "type": [ "object", "null" ], "required": [ "subject", "body" ], "properties": { "subject": { "example": "Your invoice is available", "type": "string", "description": "The subject of the email to be sent." }, "body": { "example": "Please find your invoice enclosed.", "type": "string", "description": "The body of the email to be sent. To add newline characters, you can use `\\n`." } } }, "customerId": { "type": [ "string" ], "description": "The identifier referring to the [customer](get-customer) you want to attempt an automated payment for. If provided, `mandateId` becomes required as well. Only allowed for invoices with status `paid`.", "example": "cst_8wmqcHMN4U" }, "mandateId": { "type": "string", "description": "The identifier referring to the [mandate](get-mandate) you want to use for the automated payment. If provided, `customerId` becomes required as well. Only allowed for invoices with status `paid`.", "example": "mdt_pWUnw6pkBN" }, "recipientIdentifier": { "example": "customer-xyz-0123", "type": "string", "description": "An identifier tied to the recipient data. This should be a unique value based on data your system contains, so that both you and us know who we're referring to. It is a value you provide to us so that recipient management is not required to send a first invoice to a recipient." }, "recipient": { "type": [ "object", "null" ], "required": [ "type", "email", "streetAndNumber", "postalCode", "city", "country", "locale" ], "properties": { "type": { "type": "string", "description": "The type of recipient, either `consumer` or `business`. This will determine what further fields are required on the `recipient` object.\n\nPossible values: `consumer` `business`", "example": "consumer" }, "title": { "example": "Mrs.", "type": [ "string", "null" ], "description": "The title of the `consumer` type recipient, for example Mr. or Mrs.." }, "givenName": { "example": "Jane", "type": [ "string", "null" ], "description": "The given name (first name) of the `consumer` type recipient should be at least two characters and cannot contain only numbers." }, "familyName": { "example": "Doe", "type": [ "string", "null" ], "description": "The given name (last name) of the `consumer` type recipient should be at least two characters and cannot contain only numbers." }, "organizationName": { "example": "Organization Corp.", "type": [ "string", "null" ], "description": "The trading name of the `business` type recipient." }, "organizationNumber": { "example": "12345678", "type": [ "string", "null" ], "description": "The Chamber of Commerce number of the organization for a `business` type recipient. Either this or `vatNumber` has to be provided." }, "vatNumber": { "example": "NL123456789B01", "type": [ "string", "null" ], "description": "The VAT number of the organization for a `business` type recipient. Either this or `organizationNumber` has to be provided." }, "email": { "example": "example@email.com", "type": "string", "description": "The email address of the recipient." }, "phone": { "example": "+0123456789", "type": [ "string", "null" ], "description": "The phone number of the recipient." }, "streetAndNumber": { "example": "Keizersgracht 126", "type": "string", "description": "A street and street number." }, "streetAdditional": { "example": "4th floor", "type": [ "string", "null" ], "description": "Any additional addressing details, for example an apartment number." }, "postalCode": { "example": "5678AB", "type": "string", "description": "A postal code." }, "city": { "example": "Amsterdam", "type": "string", "description": "The recipient's city." }, "region": { "example": "Noord-Holland", "type": [ "string", "null" ], "description": "The recipient's region." }, "country": { "example": "NL", "type": "string", "description": "A country code in [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format." }, "locale": { "type": "string", "description": "The locale for the recipient, to be used for translations in PDF generation and payment pages.\n\nPossible values: `en_US` `en_GB` `nl_NL` `nl_BE` `de_DE` `de_AT` `de_CH` `fr_FR` `fr_BE`", "example": "nl_NL" } } }, "lines": { "type": [ "array", "null" ], "description": "Provide the line items for the invoice. Each line contains details such as a description of the item ordered and its price.\n\nAll lines must have the same currency as the invoice.", "items": { "type": "object", "required": [ "description", "quantity", "vatRate", "unitPrice" ], "properties": { "description": { "example": "LEGO 4440 Forest Police Station", "type": "string", "description": "A description of the line item. For example *LEGO 4440 Forest Police Station*.", "maxLength": 100 }, "quantity": { "example": 1, "type": "integer", "description": "The number of items.", "minimum": 1 }, "vatRate": { "example": "21.00", "type": "string", "description": "The vat rate to be applied to this line item." }, "unitPrice": { "description": "The price of a single item excluding VAT.\n\nFor example: `{\"currency\":\"EUR\", \"value\":\"89.00\"}` if the box of LEGO costs €89.00 each.\n\nThe unit price can be zero in case of free items.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "discount": { "description": "The discount to be applied to the line item.", "type": [ "object", "null" ], "required": [ "type", "value" ], "properties": { "type": { "type": "string", "description": "The type of discount.\n\nPossible values: `amount` `percentage`", "example": "amount" }, "value": { "example": "10.00", "type": "string", "description": "A string containing an exact monetary amount in the given currency, or the percentage." } } } } } }, "discount": { "description": "The discount to be applied to the entire invoice, applied on top of any line item discounts.", "type": [ "object", "null" ], "required": [ "type", "value" ], "properties": { "type": { "type": "string", "description": "The type of discount.\n\nPossible values: `amount` `percentage`", "example": "amount" }, "value": { "example": "10.00", "type": "string", "description": "A string containing an exact monetary amount in the given currency, or the percentage." } } }, "isEInvoice": { "type": "boolean", "description": "This indicates whether the invoice is an e-invoice. The default value is `false` and can't be changed after the invoice has been issued. When `emailDetails` is provided, an additional email is sent to the recipient.\n\nE-invoicing is only available for merchants based in Belgium, Germany, and the Netherlands, and only when the recipient is also located in one of these countries.", "example": false }, "amountDue": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The amount that is left to be paid.", "readOnly": true }, "subtotalAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The total amount without VAT before discounts.", "readOnly": true }, "totalAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The total amount with VAT.", "readOnly": true }, "totalVatAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The total VAT amount.", "readOnly": true }, "discountedSubtotalAmount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The total amount without VAT after discounts.", "readOnly": true }, "createdAt": { "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true, "example": "2024-03-20T09:13:37+00:00" }, "issuedAt": { "example": "2024-10-03T10:47:38+00:00", "type": [ "string", "null" ], "description": "If issued, the date when the sales invoice was issued, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true }, "paidAt": { "example": "2024-10-04T10:47:38+00:00", "type": [ "string", "null" ], "description": "If paid, the date when the sales invoice was paid, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true }, "dueAt": { "example": "2024-11-01T10:47:38+00:00", "type": [ "string", "null" ], "description": "If issued, the date when the sales invoice payment is due, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "invoicePayment": { "description": "The URL your customer should visit to make payment for the invoice. This is where you should redirect the customer to unless the `status` is set to `paid`.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "pdfLink": { "type": [ "object", "null" ], "description": "The URL the invoice is available at, if generated.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "type": [ "object", "null" ], "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "type": [ "object", "null" ], "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true, "writeOnly": false } } }, { "type": "object", "required": [ "resource", "id", "mode" ] }, { "type": "object", "properties": { "paymentDetails": { "type": "array", "description": "Used when setting an invoice to status of `paid`, and will store a payment that fully pays the invoice with the provided details. Required for `paid` status.", "items": { "type": "object", "required": [ "source" ], "properties": { "source": { "type": "string", "description": "The way through which the invoice is to be set to paid.\n\nPossible values: `manual` `payment-link` `payment`", "example": "payment-link" }, "sourceReference": { "example": "pl_d9fQur83kFdhH8hIhaZfq", "type": [ "string", "null" ], "description": "A reference to the payment the sales invoice is paid by. Required for `source` values `payment-link` and `payment`." } } } } } } ] } } } }, "_links": { "writeOnly": false, "readOnly": true, "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "example": { "count": 1, "_embedded": { "sales_invoices": [ { "resource": "sales-invoice", "id": "invoice_4Y0eZitmBnQ6IDoMqZQKh", "mode": "live", "profileId": "pfl_QkEhN94Ba", "currency": "EUR", "status": "draft", "vatScheme": "standard", "paymentTerm": "30 days", "recipientIdentifier": "123532354", "lines": [ { "description": "LEGO 4440 Forest Police Station", "quantity": 1, "vatRate": "21.00", "unitPrice": { "value": "89.00", "currency": "EUR" } } ], "amountDue": { "value": "107.69", "currency": "EUR" }, "subtotalAmount": { "value": "89.00", "currency": "EUR" }, "totalAmount": { "value": "107.69", "currency": "EUR" }, "totalVatAmount": { "value": "18.69", "currency": "EUR" }, "discountedSubtotalAmount": { "value": "89.00", "currency": "EUR" }, "isEInvoice": false, "createdAt": "2024-10-03T10:47:38+00:00" } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "next": { "href": "https://api.mollie.com/v2/sales/invoices?from=invoice_4yUfQpbKnd2DUTouUdUwH&limit=5", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" }, "previous": null } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/sales-invoices \\\n -H \"Authorization: Bearer live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\"" }, { "language": "php", "install": "composer require mollie/mollie-api-php", "code": "setApiKey('live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM');\n\n$request = new GetPaginatedSalesInvoicesRequest();\n\n$salesInvoices = $mollie->send($request);" }, { "language": "node", "install": "npm install @mollie/api-client", "code": "# We don't have a Node.js code example for this\n# API call yet.\n#\n# If you have some time to spare, feel free to\n# share suggestions on our Discord:\n# https://discord.gg/VaTVkXB4aQ" }, { "language": "python", "install": "pip install mollie-api-python", "code": "# We don't have a Python code example for this\n# API call yet.\n#\n# If you have some time to spare, feel free to\n# share suggestions on our Discord:\n# https://discord.gg/VaTVkXB4aQ" }, { "language": "ruby", "install": "gem install mollie-api-ruby", "code": "# We don't have a Ruby code example for this\n# API call yet.\n#\n# If you have some time to spare, feel free to\n# share suggestions on our Discord:\n# https://discord.gg/VaTVkXB4aQ" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```